    MIX-DISPLAY:  Print mixture model parameters, hyperparameters, etc.

    Mix-display can print the offset parameters associated with each of
    the components in a mixture model (omitting those that are not
    currently associated with any training case), the hyperparameters
    controlling these parameters, and the indicators of which component
    is associated with each training case.

    Usage:

        mix-display [ -h ] [ -p ] [ -i ] log-file [ index ]

    If no index is specified, the last record in the log file is shown.
    If -h is specified, value for the hyperparameters are displayed.  If
    -p is specified, the offset parameters for each component that is
    currently associated with a training case are displayed, along with
    the noise standard deviation parameters for models of real data.  If
    -i is specified, the indicators of which component is currently
    associated with each training case are displayed.  More than one of
    -h, -p, and -i can be specified (in any order); eg, -h -i will show
    both the high-level hyperparameters and the indicators.  The default
    if none of these flags are specified is -h and -p.

    In the output for -h, the highest-level hyperparameters are shown
    first, followed after a colon by the associated lower-level
    hyperparameters for each target value.  In the output for -p, the
    components are listed by decreasing frequency in the training set.
    The offset parameters for components are listed after the component
    number, frequency, and a colon, in order by target value.  The noise
    standard deviations parameters (if present) are listed after a blank
    line in a corresponding way.  In the output for -i, the components
    associated with each training case are shown, ten per line, with
    case indexes shown at the beginning of each line.

                Copyright (c) 1995-2004 by Radford M. Neal